curl --request GET \
--url 'https://api.enrow.io/phone/single?id=94cbc13b-7d77-4f41-83f0-60106daa7182' \
--header 'x-api-key: YOUR_API_KEY'
const searchId = '94cbc13b-7d77-4f41-83f0-60106daa7182';
const response = await fetch(`https://api.enrow.io/phone/single?id=${searchId}`, {
headers: {
'x-api-key': process.env.ENROW_API_KEY
}
});
const data = await response.json();
if (data.qualification === 'found') {
console.log(`Phone: ${data.number} (${data.country})`);
}
import requests
import os
search_id = "94cbc13b-7d77-4f41-83f0-60106daa7182"
url = f"https://api.enrow.io/phone/single?id={search_id}"
headers = {
"x-api-key": os.getenv("ENROW_API_KEY")
}
response = requests.get(url, headers=headers)
data = response.json()
if data["qualification"] == "found":
print(f"Phone: {data['number']} ({data['country']})")
{
"params": {
"linkedin_url": "https://www.linkedin.com/in/michael-scott/"
},
"custom": "#u84hde941Jdx",
"number": "+15705551234",
"country": "US",
"qualification": "found"
}
{
"message": "..."
}
Phone Finder
Get Single Phone Result
Retrieve the result of a single Phone Finder search by ID, including the phone number, country code, and qualification status
GET
/
phone
/
single
curl --request GET \
--url 'https://api.enrow.io/phone/single?id=94cbc13b-7d77-4f41-83f0-60106daa7182' \
--header 'x-api-key: YOUR_API_KEY'
const searchId = '94cbc13b-7d77-4f41-83f0-60106daa7182';
const response = await fetch(`https://api.enrow.io/phone/single?id=${searchId}`, {
headers: {
'x-api-key': process.env.ENROW_API_KEY
}
});
const data = await response.json();
if (data.qualification === 'found') {
console.log(`Phone: ${data.number} (${data.country})`);
}
import requests
import os
search_id = "94cbc13b-7d77-4f41-83f0-60106daa7182"
url = f"https://api.enrow.io/phone/single?id={search_id}"
headers = {
"x-api-key": os.getenv("ENROW_API_KEY")
}
response = requests.get(url, headers=headers)
data = response.json()
if data["qualification"] == "found":
print(f"Phone: {data['number']} ({data['country']})")
{
"params": {
"linkedin_url": "https://www.linkedin.com/in/michael-scott/"
},
"custom": "#u84hde941Jdx",
"number": "+15705551234",
"country": "US",
"qualification": "found"
}
{
"message": "..."
}
GET
Retrieve the result of a previously initiated phone search. Authenticate every request with your API key in the
See Error handling for the full list of status codes and response formats. Note that retrieving a result does not consume credits — credits are charged when the search is launched, as described in Credits & billing.
https://api.enrow.io/phone/single?id={search_id}
x-api-key header.
Using a webhook allows you to skip calling this GET endpoint. See How Webhooks Work.
Query Parameters
string
required
The search ID returned from the POST request
Response
200 — Number found
object
The original search parameters
string
Custom value passed in the original request
string
The phone number
string
ISO 3166-1 Alpha-2 country code (e.g.,
"FR", "US")string
found200 — Number not found
object
The original search parameters
string
not_found202 — Search still in progress
string
ongoingError Responses
| Code | Message |
|---|---|
| 400 | Missing id in the query params |
| 500 | Could not retrieve single search results |
curl --request GET \
--url 'https://api.enrow.io/phone/single?id=94cbc13b-7d77-4f41-83f0-60106daa7182' \
--header 'x-api-key: YOUR_API_KEY'
const searchId = '94cbc13b-7d77-4f41-83f0-60106daa7182';
const response = await fetch(`https://api.enrow.io/phone/single?id=${searchId}`, {
headers: {
'x-api-key': process.env.ENROW_API_KEY
}
});
const data = await response.json();
if (data.qualification === 'found') {
console.log(`Phone: ${data.number} (${data.country})`);
}
import requests
import os
search_id = "94cbc13b-7d77-4f41-83f0-60106daa7182"
url = f"https://api.enrow.io/phone/single?id={search_id}"
headers = {
"x-api-key": os.getenv("ENROW_API_KEY")
}
response = requests.get(url, headers=headers)
data = response.json()
if data["qualification"] == "found":
print(f"Phone: {data['number']} ({data['country']})")
{
"params": {
"linkedin_url": "https://www.linkedin.com/in/michael-scott/"
},
"custom": "#u84hde941Jdx",
"number": "+15705551234",
"country": "US",
"qualification": "found"
}
{
"message": "..."
}
Next steps
Find a phone number
Launch a single phone search from a LinkedIn URL.
Get bulk results
Retrieve the results of a bulk phone search.
Webhooks
Get notified automatically when a search completes.
Authentication
How to pass your API key in the x-api-key header.
Was this page helpful?

